module.exports = function () {
    var provinceNameService = require('../../services/admin/ProvincesNameService')
    var provinceNameServiceObject = new provinceNameService()
   
   
    this.addProvinceNameController = async (req, callback) => {
        var response = {}
        var provinceName = await provinceNameServiceObject.addProvinceNameService(req)
        if (provinceName.error ) {
            response.error = true
            response.status = provinceName.statusCode
            response.message = provinceName.message
        } else {
            response.error = false
            response.status = provinceName.statusCode
            response.message = provinceName.message
            response.data = provinceName.data
        }
        callback(response)
    }
    this.getProvinceNameController = async (req, callback) => {
        var response = {}
      
        var provinceName = await provinceNameServiceObject.GetProvinceNameService(req)
        if (provinceName.error) {
            response.error = true
            response.status = provinceName.statusCode
            response.message = provinceName.message
        } else {
            response.error = provinceName.error
            response.status = provinceName.statusCode
            response.message = provinceName.message
            response.data = provinceName.data
          
        }
        callback(response)
    }
  

   

   
}