module.exports = function () {
    var adminUserModal = require('../../modal/admin/adminUserModal')
   
this.addAdminUserDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
      const adminUserModals = new adminUserModal(data)
      adminUserModals.save(function (error, result) {

        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }


  this.CheckadminUserDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
        adminUserModal.find({is_active:1,uid: data.uid }, function (error, result) {
          
          if (error) {
            response.error = true
          } else {
            response.error = false
            response.data = result
          }
          resolve(response)
        })
      })
    }

  this.getAdminUserDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
        adminUserModal.find({is_active:1},{ 
        Uid:1,
        name:1,
        email:1,
        admin_type:1,
        sections:1,
        status:1
       
        }) .sort({"updatedAt":-1})
         .skip(data.pageNumber > 0 ? ((data.pageNumber - 1) * RowsPerpage) : 0)
        .limit(RowsPerpage)
        .then((result) => {
            response.error = false
            response.result = result
            // console.log(result);
            resolve(response)

        })
        .catch((error) => {
            response.error = true
            resolve(response)

            console.log(error);
        });
})
}


this.getOneAdminUserDao = async (data) => {

  var response = {}
  return new Promise(function (resolve, reject) {
      adminUserModal.find({is_active:1,_id: data.user_id },
        { 
      name:1,
      email:1,
      admin_type:1,
      status:1
     
      }, function (error, result) {
        
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }



this.getTotalAdminUserListCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        adminUserModal.find({
                is_active: 1,
               
            })
            .count()
            .then((result) => {
                response.error = false
                response.result = result
                // console.log(result);
                resolve(response)

            })
            .catch((error) => {
                response.error = true
                resolve(response)

                console.log(error);
            });
    })
}

 

  this.deleteAdminUserDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        adminUserModal.deleteOne({
        _id: data.user_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editAdminUserDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
        adminUserModal.updateMany({
        _id: data.user_id
        }, {
          $set: {
            
            name:data.name,
            email:data.email,
            admin_type:data.admin_type,
            sections:data.sections,
            status:data.status,
           
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
 
 
}



