module.exports = function () {
    var articleModal = require('../../modal/admin/WhatsUpModal')
    var TagModal = require('../../modal/admin/TagsModal')
    var ProudlyPinoyModal = require('../../modal/web/ProudlyPinoyModal')
    var PodcastModal = require('../../modal/web/PodcastModal')

this.addArticleDao = async (data) => {
  console.log("data",data)
    var response = {}
    return new Promise(function (resolve, reject) {
      const articleModals = new articleModal(data)
      articleModals.save(function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.getArticleDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      articleModal.find({}, function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.deleteArticleDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      articleModal.deleteOne({
        _id: data.article_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editArticleDao = async (data) => {
    console.log("edit",data)
    var response = {}
    return new Promise(function (resolve, reject) {
      articleModal.updateOne({
        _id: data.article_id
        }, {
          $set: {
            article_imageurl: data.article_imageurl,
            title: data.title,
            description: data.description
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  this.addTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const TagModals = new TagModal(data)
      TagModals.save(function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.getTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.find({}, function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.updateTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.find({_id: data.tag_id}, function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.updateOneTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      articleModal.updateOne({
       tag_id: data.tag_id
      }, {
        $set: {
          tag_id: data.tag_id,
          tag_name:null
        }
      }, function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.deleteTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.deleteOne({
        _id: data.tag_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }


  this.ProudlyPinoyDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const ProudlyPinoyModals = new ProudlyPinoyModal(data)
      ProudlyPinoyModals.save(function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.PodcastDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const PodcastModals = new PodcastModal(data)
      PodcastModals.save(function (error, result) {
          console.log("res",result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
}



