module.exports = function () {
  var ProudlyPinoyModal = require('../../modal/admin/proudlyPinoyModel')
  

this.addProudlyPinoyDao = async (data) => {

  var response = {}
  return new Promise(function (resolve, reject) {
    const ProudlyPinoyModals = new ProudlyPinoyModal(data)
    ProudlyPinoyModals.save(function (error, result) {

      if (error) {
        response.error = true
      } else {
        response.error = false
        response.data = result
      }
      resolve(response)
    })
  })
}

this.getTotalProudlyPinoyListCountDao = async (data) => {
  var response = {}
  return new Promise(function (resolve, reject) {
    ProudlyPinoyModal.find({
              is_active: 1,
             
          })
          .count()
          .then((result) => {
              response.error = false
              response.result = result
              // console.log(result);
              resolve(response)

          })
          .catch((error) => {
              response.error = true
              resolve(response)

              console.log(error);
          });
  })
}

this.getProudlyPinoyDao = async (data) => {

  var response = {}
  return new Promise(function (resolve, reject) {
    ProudlyPinoyModal.find({is_active:1},{ 
       
     
      }).sort({"updatedAt":-1})
      .skip(data.pageNumber > 0 ? ((data.pageNumber - 1) * RowsPerpage) : 0)
      .limit(RowsPerpage)
      .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

      })
      .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
      });
})
}



this.deleteProudlyPinoyDao = async (data) => {
  var response = {}
  return new Promise(function (resolve, reject) {
    ProudlyPinoyModal.deleteOne({
      _id: data.ProudlyPinoy_id
      },
      (err, result) => {
        if (err) {
          response.error = true
        } else {
          response.error = false
          response.result = result
        }
        resolve(response)
      });
  })
}

this.editProudlyPinoyDao = async (data) => {
 
  var response = {}
  return new Promise(function (resolve, reject) {
    ProudlyPinoyModal.updateMany({
      _id: data.ProudlyPinoy_id
      }, {
        $set: {
          title: data.title,
          video_url:data.video_url
        }
        
      },
      (err, result) => {
        if (err) {
          response.error = true
        } else {
          response.error = false
          response.result = result
        }
        resolve(response)
      });
  })
}




}



