module.exports = function () {
  var foodTripModal = require('../../modal/web/FoodTripModal')
  var LikesModal = require('../../modal/web/Likes')
  var myProfileModal = require('../../modal/web/MyProfileModal')
  var likedby = require('../../modal/web/LikedBy')
  var articlesModal = require('../../modal/admin/articlesModal')
  var commentsModal = require('../../modal/web/Comments')
  var newPinoysModal = require('../../modal/admin/newPinoysModel')
  var tambayanModal = require('../../modal/web/TambayanModal')
  var donasayonModal = require('../../modal/web/DonasyanModal')
  var whatsUpCanada = require('../../modal/admin/articlesModal')
  var BazaarCityModel = require('../../modal/web/BazaarCityModel')


  this.getOneProfileDao = async (data) => {
    console.log("data.uid", data.uid)
    var response = {}
    return new Promise(function (resolve, reject) {
      myProfileModal.find({
        uid: data.uid
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }


  this.getOnePostDao = async (data) => {
    console.log("updatinggg dao", data)
    var store = data.post_type === "articles" ? articlesModal :
      data.post_type === "foodTripPost" ? foodTripModal :
      data.post_type === "likeComments" ? commentsModal :
      data.post_type === "newPinoys" ? newPinoysModal :
      data.post_type === "tambayan" ? tambayanModal :
      data.post_type === "donasayon" ? donasayonModal :
      data.post_type === "bazaarCity" ? BazaarCityModel :
      data.post_type === "whatsUpCanada" ? whatsUpCanada : null



    var response = {}
    return new Promise(function (resolve, reject) {
      store.find({
        _id: data.post_id
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          console.log("response putlikes dao", result)

          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }













  this.PostLikedByDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
      console.log("postLikedBy", data)
      const likedbyobj = new likedby(data)
      likedbyobj.save({}, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        console.log("aggregate", result)
        resolve(response)
      })
    })
  }


  this.removeLikeByDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.deleteOne({
        $and: [{
          uid: data.uid
        }, {
          post_id: data.post_id
        }]
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }


  this.getAllLikesDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.count({}, function (error, result) {
        console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        console.log("daata", response)
        resolve(response)
      })
    })
  }



  this.postLikeDao = async (data) => {
    console.log("fetching4", data)
    var response = {}
    return new Promise(function (resolve, reject) {
      const LikesModalObject = new LikesModal(data)
      LikesModalObject.save(function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.unLikeDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.deleteOne({
        $and: [{
          uid: data.uid
        }, {
          post_id: data.post_id
        }]
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }


  this.putLikeDao = async (data) => {
    console.log("updatinggg dao", data)
    var store = data.post_type === "articles" ? articlesModal :
      data.post_type === "foodTripPost" ? foodTripModal :
      data.post_type === "likeComments" ? commentsModal :
      data.post_type === "newPinoys" ? newPinoysModal :
      data.post_type === "tambayan" ? tambayanModal :
      data.post_type === "donasayon" ? donasayonModal :
      data.post_type === "bazaarCity" ? BazaarCityModel :
      data.post_type === "whatsUpCanada" ? whatsUpCanada : null



    var response = {}
    return new Promise(function (resolve, reject) {
      store.updateOne({
        _id: data.post_id
      }, {
        $set: {
          number_of_likes: data.updatecount,
        }
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          console.log("response putlikes dao", result)

          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }


  this.getLikesForOnePostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.find({
        $and: [{
          post_id: data.post_id
        }, {
          post_type: data.post_type
        }]
      }, function (error, result) {
        console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        console.log("daata", response)
        resolve(response)
      })
    })
  }


  this.likeValidation = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.find({
        $and: [{
          uid: data.uid
        }, {
          post_id: data.post_id
        }]
      }, function (error, result) {
        console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        console.log("daata", response)
        resolve(response)
      })
    })
  }

  //likedby

  this.getLikedByDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.find({
        post_id: data.post_id
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.forlikedbyList = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      //console.log("iew",data)

      LikesModal.find({
          $and: [{
            post_id: data.post_id
          }, {
            uid: data.uid
          }, {
            is_active: 1
          }]
        })
        .then((result) => {
          response.error = false
          response.data = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

}