const mongoose = require("mongoose")

const Schema = mongoose.Schema;

const jobFairSchema = new Schema({

    Uid: {
        type: String,
        required: false,
        default: null
    },
    thumbNail_url: {
        type: String,
        required: [false, 'thumbNail_url is required']
    },
    backGround_imageUrl: {
        type: String,
        required: [false, 'backGround_imageUrl is required']
    },
    title: {
        type: String,
        required: [false, 'title is required']
    },
    description: {
        type: String,
        required: [false, 'description is required']
    },

    is_active: {
        type: Number,
        required: false,
        default: 0
    },

   
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },
}, {
    versionKey: false
});


const jobfairModel = mongoose.model('jobfair', jobFairSchema)

module.exports = jobfairModel