const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const niknokSchema = new Schema({


    uid: {
        type: String,
        default: null
    },
    comics_title: {
        type: String
    },
    thumbNail_url: {
        type: String,
        required: false,
        default: null
    },
    comic_images: {
        type: Array,
        default: []
    },
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const niknok = mongoose.model('niknokposts', niknokSchema)
module.exports = niknok