const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const ShoutOutsSchema = new Schema({
    uid: {
        type: String,
        default: null
    },
    post_id: {
        type: String,
        default: null,
        required:false
    },
    post_type: {
        type: String,
        default: null,
        required:false
    },
    post_description: {
        type: String,
        default: null,
        required:false
    },
    post_images: {
        type: Array,
        default: [],
        required:false
    },
    profile_photo: {
        type: String,
        default: null,
        required:false
    },
    full_name: {
        type: String,
        default: null,
        required:false
    },
    is_active: {
        type: Number,
        default: 0,
        required:false
    },
    status: {
        type: String,
        default: null,
        required:false

    },
    location: {
        type: String,
        default: null,
        required:false

    },
    //byeBuyitems
    item_name: {
        type: String,
        default: null,
        required:false
    },
    price: {
        type: Number,
        default: null,
        required:false

    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

})

const ShoutOuts = mongoose.model('shoutouts', ShoutOutsSchema)
module.exports = ShoutOuts