const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const surveyVotesSchema = new Schema({

    uid: {
        type: String,
        default: null
    },
    survey_id: {
        type: String,
        default: null
    },
    option: {
        type:Number,
        default: 0,
        required: true
    },
    is_active: {
        type: Number,
        default: 0,
        required: false
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const surveyVotes = mongoose.model('surveyVotes', surveyVotesSchema)
module.exports = surveyVotes