const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const connectionSchema = new Schema({

    uid: {
        type: String,
        default: null
    },
    ConnectionUser_uid: {
        type: String,
        default: null
    },
    ConnectionUser_full_name: {
        type: String,
        default: null
    },
    ConnectionUser_profile_photo: {
        type: String,
        default: null
    },
    is_active: {
        type: Number,
        default: 0,
        required: false
    }
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const connection = mongoose.model('connection', connectionSchema)
module.exports = connection