const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const notificationsSchema = new Schema({
    uid: {
        type: String,
        default: null
    },
    post_id: {
        type: String,
        default: null
    },
    post_type: {
        type: String,
        default: null
    },
    post_module: {
        type: String,
        default: null
    },
    user_name: {
        type: String,
        default: null
    },
    user_profile: {
        type: String,
        default: null
    },
    notification_message: {
        type: String,
        default: null
    },
    read: {
        type: Number,
        default: 0
    },
    is_active: {
        type: Number,
        default: 0
    }
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

}, {
    versionKey: false
})

const notifications = mongoose.model('notifications', notificationsSchema)
module.exports = notifications