module.exports = function(app){
    const { check, validationResult} =require('express-validator')
    const userPath = '/web'
    const DonasyanController = require('../../controller/web/DonasyanController')
    const DonasyanRoutesObject = new DonasyanController()

    require('dotenv').config()


    app.post(userPath + "/PostDonasyan" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        DonasyanRoutesObject.DonasyanPostController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })


    
    app.post(userPath + "/DonasyanList" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        DonasyanRoutesObject.DonasyanListController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })

    app.post(userPath + "/getOneByeBuy" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        DonasyanRoutesObject.getOneByeBuyController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })

    app.post(userPath + "/searchByeBuyItems" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        DonasyanRoutesObject.searchByeBuyController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })

}