module.exports = function(app){
    const { check, validationResult} =require('express-validator')
    const userPath = '/web'
    const likeController = require('../../controller/web/LikesController')
    
    require('dotenv').config()
    
    const likeRoutesObject = new likeController()
app.post(userPath + "/postLike" ,app.Verifyauth, (request,response)=>{
    const errors =validationResult(request)
    if(!errors.isEmpty()){
        const errorArray =errors.array()
        const errorResponse ={}
        errorResponse = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response .send(errorResponse)
    }
    likeRoutesObject.postLike(request, function(results){
        if(results.error){
            response.status(results.statusCode);
            return response.send(results)
        }else{
            return response.send(results)
        }    })
})

app.post(userPath + "/likedByList" , app.Verifyauth,(request,response)=>{
    const errors =validationResult(request)
    if(!errors.isEmpty()){
        const errorArray =errors.array()
        const errorResponse ={}
        errorResponse = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response .send(errorResponse)
    }
    likeRoutesObject.getLikedByList(request, function(results){
        if(results.error){
            response.status(results.statusCode);
            return response.send(results)
        }else{
            return response.send(results)
        }       })
})
}