const { request } = require('express')

module.exports = function(app) {
    const {
        check,validationResult
    } =require('express-validator')
    var userPath ='/web'
    var PinoyPreneursController =require ('../../controller/web/PinoyPreneursController')
    require('dotenv').config()
    var PinoyPreneursControllerObject= new PinoyPreneursController()


    app.post(userPath + '/addPinoyPreneur', app.Verifyauth,[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        PinoyPreneursControllerObject.addPinoyPreneurController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/GetPinoyPreneursList',  app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        PinoyPreneursControllerObject.GetPinoyPreneursListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })
 




    app.post(userPath + '/GetOnePinoyPreneur', app.Verifyauth,  [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        PinoyPreneursControllerObject.GetOnePinoyPreneurController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })




    app.post(userPath + '/editPinoyPreneur',  app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        PinoyPreneursControllerObject.editPinoyPreneurController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

    app.get(userPath + '/checkUserPinoyPreneur',  app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        PinoyPreneursControllerObject.checkUserPinoyPreneurController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/createPinoyPreneurPayment',  app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        PinoyPreneursControllerObject.createPinoyPreneurPaymentController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })




}