module.exports = function () {
    var ShoutOutsDao = require('../../dao/admin/ShoutOutsDao')

    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    var ShoutOutsDaoObject = new ShoutOutsDao()

    

    this.GetShoutOutsService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.pageNumber =  request.body.pageNumber.length == 0 ? 0: request.body.pageNumber
                pageNumber = request.body.pageNumber
                request.body.RowsPerpage =  request.body.RowsPerpage.length == 0 ? 0: request.body.RowsPerpage
                RowsPerpage = request.body.RowsPerpage
                var getTotalShoutOutsCountDao = await ShoutOutsDaoObject.getTotalShoutOutsCountDao(request.body)
                
                if (getTotalShoutOutsCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalShoutOutsCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber,RowsPerpage)
                    var ShoutOutsDaoRespone = await ShoutOutsDaoObject.getShoutOutsDao(request.body)
                    if (ShoutOutsDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                        response.data = ShoutOutsDaoRespone.result
                        resolve(response)
                    }
                }             
                    // console.log("getdata",signupDaoRespone)
                   
                
            }catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

  
    this.editShoutOutsService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
              

                    var ShoutOutsDaoRespone = await ShoutOutsDaoObject.editShoutOutsDao(request.body)

                    if (ShoutOutsDaoRespone.error) {
                        response.error = true

                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = ShoutOutsDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   
   
   
}