    module.exports = function () {
        const FoodTripDao = require('../../dao/web/FoodTripDao')
        const STRINGS = require('../../strings.json')
        require('dotenv').config()
        const foodTripDaoObject = new FoodTripDao()
        const foodTripDaoObject1 = new FoodTripDao()
        const likesDao = require('../../dao/web/LikesDao')
        const likesObject = new likesDao()

        this.addFoodTripService = async (request) => {

            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}

                    var getOneProfileDao = await foodTripDaoObject.getOneProfileDao(request.body)
                    // console.log("getOneProfileDao", getOneProfileDao)
                    if (getOneProfileDao.data.length != 0) {
                        object.profile_photo = getOneProfileDao.data[0].profile_photo
                        object.full_name = getOneProfileDao.data[0].full_name
                    }
                    object.is_active = 1
                    var persist = Object.assign(request.body, object)
                    var foodTripDaoResponse = await foodTripDaoObject.addFoodTripDao(persist)

                    if (foodTripDaoObject.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        // response.data = foodTripDaoResponse.data

                        resolve(response)
                    }
                } catch (e) {
                    console.log(e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }


        this.listFoodTripService = async (request) => {
            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}

                    var getlikeCountsDao = await likesObject.getAllLikesDao(request.body)
                    //pagination
                    request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                    pageNumber = request.body.pageNumber
                    ////console.log(pageNumber);
                    var getTotalFoodTripListCountDao = await foodTripDaoObject1.getTotalFoodTripListCountDao(request.body)


                    if (getTotalFoodTripListCountDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        var lenght = getTotalFoodTripListCountDao.result
                        var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)
                        // ////console.log("gettambayan2",paginationDetails)

                        var foodTripDaoResponse = await foodTripDaoObject.listFoodTripDao(request.body)
                        var iteraration = foodTripDaoResponse.result.length
                        var datas = foodTripDaoResponse.result
                        var arr = []
                        var storeall = {}
                        console.log("logging", request.body)
                        //var uid="4c19d0cd-aa55-4751-a43a-efc9ef6e63c8"
                        var uid = request.body.uid
                        for (var i = 0; i < iteraration; i++) {
                            ////console.log("loop beginning",datas[i])

                            var convert = (datas[i]._id).toString()
                            var obj = {}
                            obj.post_id = convert
                            obj.uid = uid
                            ////console.log("input for likedbydao",obj)
                            var searchinlike = await likesObject.forlikedbyList(obj)
                            var a = searchinlike.data
                            //console.log("loop",searchinlike)

                            var updatecount = Object.keys(a).length
                            if (updatecount >= 1) {
                                var getOneFoodTripDao = await foodTripDaoObject.foodTripDao(obj)
                                var status = {}
                                status.likedBy = "1"
                                ////console.log("consolw",getOneFoodTripDao.data[0])
                                status._id = getOneFoodTripDao.data[0]._id
                                status.uid = getOneFoodTripDao.data[0].uid
                                status.post_description = getOneFoodTripDao.data[0].post_description
                                status.post_images = getOneFoodTripDao.data[0].post_images

                                status.hashtags = getOneFoodTripDao.data[0].hashtags
                                status.location = getOneFoodTripDao.data[0].location
                                status.youtube_link = getOneFoodTripDao.data[0].youtube_link
                                status.number_of_likes = getOneFoodTripDao.data[0].number_of_likes
                                status.number_of_comments = getOneFoodTripDao.data[0].number_of_comments
                                status.profile_photo = getOneFoodTripDao.data[0].profile_photo
                                status.post_id = getOneFoodTripDao.data[0].post_id
                                status.full_name = getOneFoodTripDao.data[0].full_name
                                status.is_approved = getOneFoodTripDao.data[0].is_approved
                                status.createdAt = getOneFoodTripDao.data[0].createdAt
                                status.updatedAt = getOneFoodTripDao.data[0].updatedAt
                                status.is_active = getOneFoodTripDao.data[0].is_active
                                // var persist= Object.assign(status,getOneFoodTripDao.data[0])
                                arr.push(status)

                                ////console.log("true")
                            } else {
                                var status = {}
                                status.likedBy = "0"
                                var getOneFoodTripDao = await foodTripDaoObject.foodTripDao(obj)
                                ////console.log("getone list",getOneFoodTripDao)

                                //   var persist= Object.assign(status,getOneFoodTripDao.data[0])
                                status._id = getOneFoodTripDao.data[0]._id
                                status.uid = getOneFoodTripDao.data[0].uid
                                status.post_description = getOneFoodTripDao.data[0].post_description
                                status.post_images = getOneFoodTripDao.data[0].post_images

                                status.hashtags = getOneFoodTripDao.data[0].hashtags
                                status.location = getOneFoodTripDao.data[0].location
                                status.youtube_link = getOneFoodTripDao.data[0].youtube_link
                                status.number_of_likes = getOneFoodTripDao.data[0].number_of_likes
                                status.number_of_comments = getOneFoodTripDao.data[0].number_of_comments
                                status.profile_photo = getOneFoodTripDao.data[0].profile_photo
                                status.post_id = getOneFoodTripDao.data[0].post_id
                                status.full_name = getOneFoodTripDao.data[0].full_name
                                status.is_approved = getOneFoodTripDao.data[0].is_approved
                                status.createdAt = getOneFoodTripDao.data[0].createdAt
                                status.updatedAt = getOneFoodTripDao.data[0].updatedAt
                                status.is_active = getOneFoodTripDao.data[0].is_active

                                arr.push(status)
                                ////console.log("false")
                            }
                            ////console.log("loop ending",datas)

                        }
                        ////console.log("logging",arr)
                        if (foodTripDaoResponse.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            // object.articlesList = foodTripDaoObject.result
                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            response.totalPages = paginationDetails.totalPages
                            response.data = arr

                            resolve(response)

                        }
                    }
                } catch (e) {
                    ////console.log(e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }


        this.getOneFoodTripService = async (request) => {
            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}
                    var getOneFoodTripDao = await foodTripDaoObject1.getOneFoodTripDao(request.body)



                    if (getOneFoodTripDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        var convert = (getOneFoodTripDao.data[0]._id).toString()


                        var obj = {}
                        obj.post_id = convert
                        obj.uid = request.body.uid
                        var searchinlike = await likesObject.forlikedbyList(obj)
                        if (searchinlike.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {


                            var p2 = Object.assign({}, getOneFoodTripDao.data[0]._doc);


                            var a = searchinlike.data


                            var updatecount = Object.keys(a).length


                            if (updatecount >= 1) {
                                p2.likedBy = "1"
                            } else {
                                p2.likedBy = "0"
                            }
                        }

                        // object.articlesList = foodTripDaoObject.result
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = p2
                        resolve(response)
                    }
                } catch (e) {
                    console.log("new werrors handl", e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }



        this.searchFoodTripService = async (request) => {
            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}
                    var searchFoodTripResponse = await foodTripDaoObject.searchFoodTripDao(request.body)

                    if (foodTripDaoObject.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = searchFoodTripResponse.data

                        resolve(response)
                    }
                } catch (e) {
                    ////console.log(e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }


        this.getFeaturePostListService = async (request) => {
            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}
                    var featurePostDao = await foodTripDaoObject.featurePostDao(request.body)
                    // console.log("api place")
                    var featurePostPlaceDao = await foodTripDaoObject.featurePostPlaceDao(request.body)
                    if (featurePostDao.error || featurePostPlaceDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        var result = {}
                        result.food_of_the_week = featurePostDao.data.length > 0 ? featurePostDao.data : []
                        result.place_of_the_week = featurePostPlaceDao.data.length > 0 ? featurePostPlaceDao.data : []



                        // console.log("featurePostPlaceDao",featurePostPlaceDao)
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = result

                        resolve(response)
                    }
                } catch (e) {
                    console.log(e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }



        this.shareFoodTripPostService = async (request) => {
            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}
                    var getOnePostDao = await foodTripDaoObject.getOneFoodTripDao(request.body)
                    console.log("getOnePostDao", getOnePostDao)
                    if (getOnePostDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else if (getOnePostDao.data.length > 0) {

                        request.body.share_count = parseInt(getOnePostDao.data[0].share_count + 1)


                        var updateShareCountDao = await foodTripDaoObject.updateShareCountDao(request.body)

                        if (updateShareCountDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.oopsErrorMessage
                            resolve(response)
                        } else {

                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            // response.data = result
                            resolve(response)
                        }
                    } else {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = 'Post Not Found'
                        resolve(response)
                    }
                } catch (e) {
                    console.log(e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }

        this.recipeSharingListService = async (request) => {
            const response = {}
            return new Promise(async function (resolve) {
                try {
                    var object = {}
                    var recipeSharingListDao = await foodTripDaoObject.recipeSharingListDao(request.body)

                    if (recipeSharingListDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = recipeSharingListDao.data
                        resolve(response)
                    }
                } catch (e) {
                    ////console.log(e)
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                }
            })
        }


    }