module.exports = function () {
    var notificationDao = require('../../dao/web/notificationDao')

    const STRINGS = require('../../strings.json')
    // const common= require('../../utils/common')
    require('../../utils/common')()


    require('dotenv').config()
    var notificationDaoObject = new notificationDao()
    // var commonObject = new common()


    this.getAllNotificationListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                request.body.is_active = 1
                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                var pageNumber = request.body.pageNumber
                var getTotalNotificationListDao = await notificationDaoObject.getTotalNotificationListDao(request.body)
                if (getTotalNotificationListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else if (getTotalNotificationListDao.result > 0) {
                    var lenght = getTotalNotificationListDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)

                    var getNotificationListDao = await notificationDaoObject.getNotificationListDao(request.body)
                    if (getNotificationListDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        var data = getNotificationListDao.result
                        for (let i = 0; i < data.length; i++) {
                            request.body.id = data[i]._id.toString()
                            var updateNotificationDao = await notificationDaoObject.updateNotificationDao(request.body)
                            if (updateNotificationDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.oopsErrorMessage
                                return resolve(response)
                            }

                        }

                        var getNotificationListDao1 = await notificationDaoObject.getNotificationListDao(request.body)
                        if (getNotificationListDao1.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.oopsErrorMessage
                            resolve(response)
                        } else {

                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            response.totalCount = lenght
                            // response.totalUnreadCount = lenght
                            response.totalPages = paginationDetails.totalPages
                            response.data = getNotificationListDao1.result
                            resolve(response)
                        }
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalPages = 0
                    response.data = []
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }





    this.getAllUnreadNotificationCountService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'


                var getNotificationUnreadCountListDao = await notificationDaoObject.getNotificationUnreadCountListDao(request.body)
                if (getNotificationUnreadCountListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = getNotificationUnreadCountListDao.result
                    resolve(response)
                }

            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }




    this.addNotificationService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'


                var addNotificationDao = await notificationDaoObject.addNotificationDao(request.body.obj)
                if (addNotificationDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = addNotificationDao.result
                    resolve(response)
                }

            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }














}