module.exports = function () {
    var RatingService = require('../../services/web/RatingService')
    // require('../utils/error.js')()
    var RatingServiceObject = new RatingService()

    const STRINGS = require('../../strings.json')


    this.addRatingController = async (req, callback) => {
        var response = {}
        try {
            var addRatingService = await RatingServiceObject.addRatingService(req)
            if (addRatingService.error) {
                response.error = true
                response.statusCode = addRatingService.status
                response.message = addRatingService.message
            } else {
                response.error = addRatingService.error
                response.statusCode = addRatingService.statusCode
                response.message = addRatingService.message
                response.data = addRatingService.data
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }





}