module.exports = function () {
    var NewPinoysModal = require('../../modal/admin/newPinoysModel')
   
this.addNewPinoysDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
      const NewPinoysModals = new NewPinoysModal(data)
      NewPinoysModals.save(function (error, result) {

        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.getTotalNewPinoysListCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      NewPinoysModal.find({
                is_active: 1,
              
            })
            .count()
            .then((result) => {
                response.error = false
                response.result = result
                // console.log(result);
                resolve(response)

            })
            .catch((error) => {
                response.error = true
                resolve(response)

                console.log(error);
            });
    })
}

  this.getNewPinoysDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
        NewPinoysModal.find({},{ 
        Uid:1,
        thumbNail_url:1,
        backGround_imageUrl:1,
        mediaType:1,
        province_name:1,
        title:1,
       is_active:1,
       createdAt:1,
       updatedAt:1,
        number_of_likes:1,
        number_of_comments:1
       
        }).sort({"updatedAt":-1})
        .skip(data.pageNumber > 0 ? ((data.pageNumber - 1) * RowsPerpage) : 0)
        .limit(RowsPerpage)
        .then((result) => {
            response.error = false
            response.result = result
            // console.log(result);
            resolve(response)

        })
        .catch((error) => {
            response.error = true
            resolve(response)

            console.log(error);
        });
})
}

  this.getNewPinoysDescriptionDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
        NewPinoysModal.find({_id:data.newpinoys_id},{ 
      title:1,
      description:1,
      backGround_imageUrl:1
       
        }, function (error, result) {
          
          if (error) {
            response.error = true
          } else {
            response.error = false
            response.data = result
          }
          resolve(response)
        })
      })
    }

  this.deleteNewPinoysDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        NewPinoysModal.deleteOne({
        _id: data.newpinoys_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editNewPinoysDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
        NewPinoysModal.updateMany({
        _id: data.newpinoys_id
        }, {
          $set: {
            thumbNail_url: data.thumbNail_url,
            backGround_imageUrl:data.backGround_imageUrl,
            title: data.title,
            mediaType: data.mediaType,
            description: data.description,
            province_name: data.province_name,
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
 
 
}



