module.exports = function () {
 
    var PodcastModal = require('../../modal/admin/podcastsModel')

  this.addpodcastsDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const PodcastModals = new PodcastModal(data)
      PodcastModals.save(function (error, result) {
        
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.getTotalPodcastListCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      PodcastModal.find({
                is_active: 1,
              
            })
            .count()
            .then((result) => {
                response.error = false
                response.result = result
                // console.log(result);
                resolve(response)

            })
            .catch((error) => {
                response.error = true
                resolve(response)

                console.log(error);
            });
    })
}

  this.getpodcastsDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      PodcastModal.find({is_active:1}).sort({"updatedAt":1})
      .skip(data.pageNumber > 0 ? ((data.pageNumber - 1) * RowsPerpage) : 0)
      .limit(RowsPerpage)
      .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

      })
      .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
      });
})
}
  
  this.putEpisodeDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      PodcastModal.updateMany({
        _id: data.podcast_id
      }, {
        $set: {
          total_episodes: data.updatecount,
        }
      },function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  
  
  this.deletePodcastsDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      PodcastModal.deleteOne({
        _id: data.Podcasts_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editPodcastsDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
      PodcastModal.updateOne({
        _id: data.Podcasts_id
        }, {
          $set: {
            title: data.title,
            author_imageUrl: data.author_imageUrl,
            team: data.team,
            description: data.description
           
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
}



