module.exports = function () {
    var articleModal = require('../../modal/admin/articlesModal')
    var TagModal = require('../../modal/admin/TagsModal')
    // var ProudlyPinoyModal = require('../../modal/')
    // var PodcastModal = require('../../modal/web/PodcastModal')

   
     this.addTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const TagModals = new TagModal(data)
      TagModals.save(function (error, result) {
        
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.getTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.find({is_active:1}, function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.getOneTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.find({_id: data.tag_id}, function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.updateOneTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      articleModal.updateOne({
       tag_id: data.tag_id
      }, {
        $set: {
          tag_id: null,
          tag_name:null
        }
      }, function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  
  this.editOneTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      articleModal.updateOne({
       tag_id: data.tag_id,
      
      }, {
        $set: {
          tag_name: data.tag_name
        }
      }, function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }


  this.deleteTagDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.deleteOne({
        _id: data.tag_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editTagDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
      TagModal.updateOne({
        _id: data.tag_id
        }, {
          $set: {
            tag_name: data.tag_name
           
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
}



