const mongoose = require("mongoose")

const Schema = mongoose.Schema;

const CategorySchema = new Schema({

    Uid: {
        type: String,
        required: false,
        default: null
    },
    category_name: {
        type: String,
        required: [false, 'category_name is required']
    },
   
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },
}, {
    versionKey: false
});


const CategoryModal = mongoose.model('categories', CategorySchema)

module.exports = CategoryModal