const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const ProvincesNameSchema = new Schema({
    uid: {
        type: String,
        default: null
    },
    province_name: {
        type: String,
        default: null

    },
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

})

const ProvincesName = mongoose.model('provinceName', ProvincesNameSchema)
module.exports = ProvincesName