const mongoose = require ('mongoose')

const Schema = mongoose.Schema;

const postLikes = new Schema({

    uid:{ 
        type: String, 
        default:null
     },
    post_id:{
        type: String, 
        default:null
     },    
    likes:{
        type:Boolean
    },
    full_name:{ 
        type: String, 
        default:null
     },
    profile_photo:{ 
        type: String, 
        default:null 
    },
    post_type:{
        type : String, 
        required:true
    },

    is_active: {
        type: Number,
        default: 0,
        required: false
    },

},{
timestamps: {
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
}
})

const postLike = mongoose.model('Likes', postLikes )
module.exports = postLike