const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const P_NationCalendarSchema = new Schema({
    uid: {
        type: String,
        default: null
    },
    name_of_the_event: {
        type: String,
        default: null

    },
    event_date: {
        type:  Date,
        default: null
    },
    event_time: {
        type:  String,
        default: null
    },
    // end_date: {
    //     type:  Date,
    //     default: null
    // },
    event_date_in_local: {
        type:  String,
        default: null
    },
    city: {
        type: String,
        default: null

    },
    province_name: {
        type: String,
        default: null
    },
    poster_image: {
        type: String,
        default: null

    },
    organization_type: {
        type: String,
        default: 0
    },
    organization_name: {
        type: String,
        default: 0
    },
    authorized_by_organization: {
        type: Number,
        default: 0
    },
    state_of_organization: {
        type: String,
        default: null
    },
    full_name: {
        type: String
    },
    profile_photo: {
        type: String,
        default: null
    },
    is_active: {
        type: Number,
        default: 0
    },
    status: {
        type: String,
        default: null
    }
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

}, {
    versionKey: false
})

const P_NationCalendar = mongoose.model('P_NationCalendar', P_NationCalendarSchema)
module.exports = P_NationCalendar