const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const PinoyPreneursProductSchema = new Schema({
    uid: {
        type: String,
        default: null
    },
    PinoyPreneur_id: {
        type: String,
        default: null

    },
    product_image: {
        type: String,
        default: null

    },
  
    product_title: {
        type: String,
        default: null
    },
    product_description: {
        type: String,
        default:null

    },
    is_active: {
        type: Number,
        default: 0
    },
    status: {
        type: String,
        default: null
    }
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

}, {
    versionKey: false
})

const PinoyPreneursProduct = mongoose.model('PinoyPreneursProduct', PinoyPreneursProductSchema)
module.exports = PinoyPreneursProduct