const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const ratingSchema = new Schema({

    uid: {
        type: String,
        default: null
    },
    rating_id: {
        type: String,
        default: null
    },
    post_type: {
        type: String,
        required: true
    },
    rating: {
        type: String,
        default: 0,
        required: false
    },
    is_active: {
        type: Number,
        default: 0,
        required: false
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const rating = mongoose.model('rating', ratingSchema)
module.exports = rating