const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const slotTimeSchema = new Schema({
 slot_time: {
        type: String,
        default: null,
        required: false
    },
    slot_id: {
        type: Number,
        default: 0,
        required: false
    },
    from_time: {
        type: Number,
        default: 0,
        required: false
    },
    to_time: {
        type: Number,
        default: 0,
        required: false
    },
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const slotTime = mongoose.model('slotTime', slotTimeSchema)
module.exports = slotTime