module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
    // require('../../utils/error.js')()
  
    var adminUserController = require('../../controller/admin/AdminUserController')
    require('dotenv').config()
    var adminUserControllerObject = new adminUserController()

    
    app.post(userPath + '/addadminUser',
   
    (request, response, next) => {
    
      const errors = validationResult(request)
      if (!errors.isEmpty()) {
        var errorArray =errors.array()
        var errorResponse = {}
        errorResponse.error = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response.send(errorResponse)
      }
      request.body.admin =app.admin
      adminUserControllerObject.addAdminUserController(request, function (results) {
        if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }      })
    })



    app.post(userPath + '/CheckAdminUser',app.Verifyauth, (request,response)=>{
      const errors=validationResult(request)
      if(!errors.isEmpty()){
        var errorArray =errors.array()
        var errorResponse = {}
        errorResponse.error = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response.send(errorResponse)
      }
      adminUserControllerObject.CheckadminUserController(request, function (results) {
        if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }        })
  })
  



    
    app.post(userPath + '/getadminUserList',app.Verifyauth, (request,response)=>{
      const errors=validationResult(request)
      if(!errors.isEmpty()){
        var errorArray =errors.array()
        var errorResponse = {}
        errorResponse.error = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response.send(errorResponse)
      }
      adminUserControllerObject.getCategoryController(request, function (results) {
        if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }        })
  })

  app.post(userPath + '/getOneadminUser',app.Verifyauth, (request,response)=>{
    const errors=validationResult(request)
    if(!errors.isEmpty()){
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
    adminUserControllerObject.getOneAdminUserController(request, function (results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }        })
})

  app.post(userPath + '/deleteAdminUserList',app.Verifyauth, [
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    adminUserControllerObject.deleteCategoryController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/editAdminUserList',app.Verifyauth, [
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    adminUserControllerObject.editCategoryController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

 
  
}