module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
  
    var pinoyPreneursController = require('../../controller/admin/PinoyPreneursController')
    require('dotenv').config()
    var pinoyPreneursControllerObject = new pinoyPreneursController()

   
   

  
  app.post(userPath + '/getPinoyPreneursList',[
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    pinoyPreneursControllerObject.getPinoyPreneursController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/getOnePinoyPreneurs',[
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    pinoyPreneursControllerObject.getOnePinoyPreneursController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })  
  
  app.post(userPath + '/getUserEmailId',[
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    pinoyPreneursControllerObject.GetUserEmailIdController(request, function(results) {
      if(results.error){
        response.status(results.status);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  }) 

  app.post(userPath + '/addPinoyPreneurs',[
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    pinoyPreneursControllerObject.addPinoyPreneursController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })  
 
  app.post(userPath + '/editPinoyPreneur', [
    // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
] ,app.Verifyauth, (request,response)=>{
    const errors=validationResult(request)
    if(!errors.isEmpty()){
        var errorArray =errors.array()
        var errorResponse = {}
        errorResponse.error = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response.send(errorResponse)
    }
    pinoyPreneursControllerObject.editPinoyPreneurController(request, function (results) {
        if(results.error){
            response.status(results.statusCode);
            return response.send(results)
        }else{
            return response.send(results)
        }
      })
})

app.post(userPath + '/addPinoyPreneurProduct',app.Verifyauth,  [
  // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
] ,(request,response)=>{
  const errors=validationResult(request)
  if(!errors.isEmpty()){
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
  }
  pinoyPreneursControllerObject.addPinoyPreneurProductController(request, function (results) {
      if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }
    })
})

app.post(userPath + '/deletePinoyPreneurProduct',app.Verifyauth,  [
  // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
] ,(request,response)=>{
  const errors=validationResult(request)
  if(!errors.isEmpty()){
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
  }
  pinoyPreneursControllerObject.deletePinoyPreneurProductController(request, function (results) {
      if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }
    })
})

}