module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
    // require('../../utils/error.js')()
  
    var userController = require('../../controller/admin/PodcastController')
    require('dotenv').config()
    var userControllerObject = new userController()

   
   

  app.post(userPath + '/addPodcasts',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.addPodcastsController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/getPodcastsList',[
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ],app.Verifyauth,  (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.getPodcastsController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/deleteOnePodcasts',[
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ],app.Verifyauth,  (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.deletePodcastsController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })
  app.post(userPath + '/editOnePodcasts',[
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], app.Verifyauth, (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.editPodcastsController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })
  
}