module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
  
    var provinceNameController = require('../../controller/admin/ProvincesNameController')
    require('dotenv').config()
    var provinceNameControllerObject = new provinceNameController()

   
   

  app.post(userPath + '/addProvinceNameList',app.Verifyauth, [
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    provinceNameControllerObject.addProvinceNameController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/getProvinceNameList',app.Verifyauth, [
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    provinceNameControllerObject.getProvinceNameController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  
  
}