module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
    // require('../../utils/error.js')()
  
    var userController = require('../../controller/admin/TagController')
    require('dotenv').config()
    var userControllerObject = new userController()

   
   

  app.post(userPath + '/addTagList',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.addTagController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/getTagList',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.getTagController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/deleteOneTag',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.deleteTagController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })
  app.post(userPath + '/editOneTag',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.editTagController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })
  
}