module.exports = function(app){
    const { check, validationResult} =require('express-validator')
    const userPath = '/web'
    const newPinoysController = require('../../controller/web/NewPinoysController')
    const newPinoysRoutesObject = new newPinoysController()

    require('dotenv').config()


    app.post(userPath + "/newPinoysArticleDetails" ,app.Verifyauth,(request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        newPinoysRoutesObject.getOneArticleDetailController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })

    app.post(userPath + "/newPinoysArticleList" ,app.Verifyauth,(request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        newPinoysRoutesObject.newPinoysListController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })

    app.post(userPath + "/newPinoysRelatedArticles" , app.Verifyauth,(request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        newPinoysRoutesObject.getNewPinoysRelatedArticlesController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })

    app.post(userPath + "/newPinoysHomeRelatedArticles" ,app.Verifyauth,(request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        newPinoysRoutesObject.newPinoysHomeRelatedArticlesController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })

}