module.exports = function () {
    var userDao = require('../../dao/admin/AdminWhatsUpDao')
   
    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var userDaoObject = new userDao()
 
    this.addArticleService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var tagData = await userDaoObject.updateTagDao(request.body)
                console.log("tagData",tagData)
     object.tag_id=tagData.data[0]._id
     object.tag_name=tagData.data[0].tag_name
object.article_imageurl=request.body.article_imageurl
     object.mediaType=request.body.mediaType
     object.title=request.body.title
     object.description=request.body.description
                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.addArticleDao(object)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetArticleService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.getArticleDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.deleteArticleService = async (request) => {
        var response = {}
        console.log("delete",request);
        return new Promise(async function (resolve) {
            try {
                var object = {}
                console.log("response",response)
                    var signupDaoRespone = await userDaoObject.deleteArticleDao(request.body)
                    
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.editArticleService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.editArticleDao(request.body)
                    
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.addTagService = async (request) => {
        var response = {}
        console.log("delete",request);
        return new Promise(async function (resolve) {
            try {
                var object = {}
                console.log("response",response)
                    var signupDaoRespone = await userDaoObject.addTagDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetTagService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.getTagDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.deleteTagService = async (request) => {
        var response = {}
        console.log("delete",request);
        return new Promise(async function (resolve) {
            
            try {
                var object = {}
                console.log("response",response)
                    var signupDaoRespone = await userDaoObject.deleteTagDao(request.body)
                    var signupDaoRespone1 = await userDaoObject.updateOneTagDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }


    this.addProudlyPinoyService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.ProudlyPinoyDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.addPodcastService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.PodcastDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }
}