module.exports = function () {
    var categoryDao = require('../../dao/admin/CategoryDao')

    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var categoryDaoObject = new categoryDao()

    this.addCategoryService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
               
                    var categoryDaoRespone = await categoryDaoObject.addCategoryDao(request.body)
                    if (categoryDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = categoryDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetCategoryService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
               
                
                    var categoryDaoRespone = await categoryDaoObject.getCategoryDao(request.body)
                    if (categoryDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = categoryDaoRespone.result
                        resolve(response)
                    }
                             
                    // console.log("getdata",signupDaoRespone)
                   
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   

   

    this.deleteCategoryService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                    var categoryDaoRespone = await categoryDaoObject.deleteCategoryDao(request.body)
                    
                    if (categoryDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = categoryDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.editCategoryService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
               
                    var categoryDaoRespone = await categoryDaoObject.editCategoryDao(request.body)

                    if (categoryDaoRespone.error) {
                        response.error = true

                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = categoryDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   
}