module.exports = function () {
    var userDao = require('../../dao/admin/TagDao')
   
    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var userDaoObject = new userDao()
 
    
    this.addTagService = async (request) => {
        var response = {}
       
        return new Promise(async function (resolve) {
            try {
                var object = {}
              
                    var signupDaoRespone = await userDaoObject.addTagDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetTagService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.getTagDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.deleteTagService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.deleteTagDao(request.body)
                    var signupDaoRespone1 = await userDaoObject.updateOneTagDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.editTagService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.editTagDao(request.body)
                    var signupDaoRespone1 = await userDaoObject.editOneTagDao(request.body)

                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }
  
}