module.exports = function () {
    var userDao = require('../../dao/web/WhatsUpDao')

    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var getHome = new userDao()



    this.WhatsUpCanadaHomeService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var getOneProfileDao = await getHome.getOneProfileDao(request.body)
                if (getOneProfileDao.result) {
                    request.body.articlePageNumber = request.body.articlePageNumber.length == 0 ? 0 : request.body.articlePageNumber
                    var articlePageNumber = request.body.articlePageNumber
                    // console.log(articlePageNumber);
                    var getTotalArticlesListCountDao = await getHome.getTotalArticlesListCountDao(request.body)
                    // console.log("getArticlesListDao",getArticlesListDao.result);

                    if (getTotalArticlesListCountDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        var lenght = getTotalArticlesListCountDao.result
                        var paginationArticle = await this.getPaginationDetailsWithSize(lenght, articlePageNumber, 10)
                        request.body.province = getOneProfileDao.result.province
                        var getArticlesListDao = await getHome.getArticlesListDao(request.body)
                        // console.log("getArticlesListDao",getArticlesListDao.result);
                        if (getArticlesListDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            object.articlesList = getArticlesListDao.result
                            var getProudlyPinoyListDao = await getHome.getProudlyPinoyListDao(request.body)
                            // console.log("getArticlesListDao",getArticlesListDao.result);
                            if (getProudlyPinoyListDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.commanErrorString
                                resolve(response)
                            } else {
                                object.proudlyPinoyList = getProudlyPinoyListDao.result
                                var getPodcastListDao = await getHome.getPodcastListDao(request.body)
                                console.log("getArticlesListDao1",getPodcastListDao);
                                if (getPodcastListDao.error) {
                                    response.error = true
                                    response.statusCode = STRINGS.errorStatusCode
                                    response.message = STRINGS.commanErrorString
                                    resolve(response)
                                } else {
                                    object.podcastListList = getPodcastListDao.result

                                    var getVideosFeedListDao = await getHome.getVideosFeedListDao(request.body)
                                    // console.log("getArticlesListDao",getArticlesListDao.result);
                                    if (getVideosFeedListDao.error) {
                                        response.error = true
                                        response.statusCode = STRINGS.errorStatusCode
                                        response.message = STRINGS.commanErrorString
                                        resolve(response)
                                    } else {
                                        object.VideosFeedList = getVideosFeedListDao.result
                                        response.error = false
                                        response.statusCode = STRINGS.successStatusCode
                                        response.message = STRINGS.SuccessString
                                        response.totalArticlePages = paginationArticle.totalPages
                                        response.data = object
                                        resolve(response)
                                    }
                                }
                            }
                        }
                    }
                } else {
                    console.log("user not found")
                    object.VideosFeedList = []
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalArticlePages = 0
                    response.data = {}
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }




    this.viewOneArticleService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var resp = []
                var object = {}
                var viewOneArticleDao = await getHome.viewOneArticleDao(request.body)
                // console.log("getArticlesListDao",viewOneArticleDao.result);
                if (viewOneArticleDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (viewOneArticleDao.result.length > 0) {
                    // request.body.uid = '9d8957c7-015f-4e4b-9afe-64c91776bbf2'
                    var viewOneArticleLikeDao = await getHome.viewOneArticleLikeDao(request.body)
                    // console.log("viewOneArticleLikeDao", viewOneArticleLikeDao.result);
                    if (viewOneArticleDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        object = {
                            _id: viewOneArticleDao.result[0]._id,
                            thumbNail_url: viewOneArticleDao.result[0].thumbNail_url,
                            backGround_imageUrl: viewOneArticleDao.result[0].backGround_imageUrl,
                            mediaType: viewOneArticleDao.result[0].mediaType,
                            tag_id: viewOneArticleDao.result[0].tag_id,
                            tag_name: viewOneArticleDao.result[0].tag_name,
                            title: viewOneArticleDao.result[0].title,
                            province_name: viewOneArticleDao.result[0].province_name,
                            description: viewOneArticleDao.result[0].description,
                            number_of_likes: viewOneArticleDao.result[0].number_of_likes,
                            number_of_comments: viewOneArticleDao.result[0].number_of_comments,
                            createdAt: viewOneArticleDao.result[0].createdAt,
                            likedBy: viewOneArticleLikeDao.result ? 1 : 0
                        }
                        resp.push(object)
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = resp
                        resolve(response)
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = resp
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }




    this.viewPodcastService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}


                var getPodcastDetailDao = await getHome.getPodcastDetailDao(request.body)
                // console.log("getPodcastDetailDao",getPodcastDetailDao);
                if (getPodcastDetailDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {

                    var viewPodcastEpisodeList = await getHome.viewPodcastDao(request.body)
                    // console.log("getArticlesListDao",getArticlesListDao.result);
                    if (viewPodcastEpisodeList.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = getPodcastDetailDao.result
                        response.podcastEpisodesList = viewPodcastEpisodeList.result
                        resolve(response)
                    }
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.relatedPodcastListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var relatedPodcastListDao = await getHome.relatedPodcastListDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);
                if (relatedPodcastListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = relatedPodcastListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.relatedArticleListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var relatedArticleListDao = await getHome.relatedArticleListDao1(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);
                if (relatedArticleListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = relatedArticleListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.getArticleListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.articlePageNumber = request.body.articlePageNumber.length == 0 ? 0 : request.body.articlePageNumber
                var articlePageNumber = request.body.articlePageNumber
                // console.log(articlePageNumber);
                var getTotalArticlesListCountDao = await getHome.getTotalArticlesListCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalArticlesListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalArticlesListCountDao.result
                    var paginationArticle = await this.getPaginationDetailsWithSize(lenght, articlePageNumber, 10)
console.log("paginationArticle",paginationArticle)
                var ArticleListDao = await getHome.getArticlesListDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);
                if (ArticleListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalArticlePages = paginationArticle.totalPages
                    response.data = ArticleListDao.result
                    

                    resolve(response)
                }
            }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.getProudlyPinoyListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.proudlyPinoyPage = request.body.proudlyPinoyPage.length == 0 ? 0 : request.body.proudlyPinoyPage
                var proudlyPinoyPage = request.body.proudlyPinoyPage
                // console.log(articlePageNumber);
                var getTotalProudlyPinoyListCountDao = await getHome.getTotalProudlyPinoyListCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalProudlyPinoyListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalProudlyPinoyListCountDao.result
                    var paginationProudlyPinoy = await this.getPaginationDetailsWithSize(lenght,proudlyPinoyPage,10)
console.log("paginationProudlyPinoy",getPaginationDetailsWithSize)
                var ProudlyPinoyListDao = await getHome.getProudlyPinoyListDao(request.body)
                // console.log("ProudlyPinoyListDao",getArticlesListDao.result);
                if (ProudlyPinoyListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalProudlyPinoyPages = paginationProudlyPinoy.totalPages
                    response.data = ProudlyPinoyListDao.result
                    

                    resolve(response)
                }
            }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.getPodcastListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.podcastPage = request.body.podcastPage.length == 0 ? 0 : request.body.podcastPage
                var podcastPage = request.body.podcastPage
                // console.log(articlePageNumber);
                var getTotalPodcastListCountDao = await getHome.getTotalPodcastListCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalPodcastListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalPodcastListCountDao.result
                    var paginationPodcast = await this.getPaginationDetailsWithSize(lenght,podcastPage,10)
console.log("paginationPodcast",paginationPodcast)
                var getPodcastListDao = await getHome.getPodcastListDao(request.body)
                console.log("PodcastListDao",getPodcastListDao);
                if (getPodcastListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalPodcastPages = paginationPodcast.totalPages
                    response.data = getPodcastListDao.result
                    

                    resolve(response)
                }
            }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.getVideosFeedListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.videoPage = request.body.videoPage.length == 0 ? 0 : request.body.videoPage
                var videoPage = request.body.videoPage
                // console.log(articlePageNumber);
                var getTotalVideoFeedCountDao = await getHome.getTotalVideoFeedCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalVideoFeedCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalVideoFeedCountDao.result
                    var paginationVideosFeed= await this.getPaginationDetailsWithSize(lenght,videoPage,10)
                var VideosFeedListDao = await getHome.getVideosFeedListDao(request.body)
                console.log("VideosFeedListDao",VideosFeedListDao)
                if (VideosFeedListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalVideosFeedPages = paginationVideosFeed.totalPages
                    response.data = VideosFeedListDao.result
                    

                    resolve(response)
                }
            }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }
}